.TH wxAcceleratorEntry 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxAcceleratorEntry \- See external documentation: wxAcceleratorEntry\&.
.SH DESCRIPTION
.LP
See external documentation: wxAcceleratorEntry <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxacceleratorentry\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxAcceleratorEntry()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxAcceleratorEntry()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(X::term() | wxAcceleratorEntry()) -> wxAcceleratorEntry()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxacceleratorentry\&.html#wxacceleratorentrywxacceleratorentry>\&. 
.br
 Alternatives: 
.LP
\fI new([Option]) -> wxAcceleratorEntry() \fR 
.br
 Option = {flags, integer()} | {keyCode, integer()} | {cmd, integer()} | {item, wxMenuItem:wxMenuItem()} 
.LP
\fI new(Entry::wxAcceleratorEntry()) -> wxAcceleratorEntry() \fR 
.RE
.LP
.B
getCommand(This::wxAcceleratorEntry()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxacceleratorentry\&.html#wxacceleratorentrygetcommand>\&.
.RE
.LP
.B
getFlags(This::wxAcceleratorEntry()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxacceleratorentry\&.html#wxacceleratorentrygetflags>\&.
.RE
.LP
.B
getKeyCode(This::wxAcceleratorEntry()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxacceleratorentry\&.html#wxacceleratorentrygetkeycode>\&.
.RE
.LP
.B
set(This::wxAcceleratorEntry(), Flags::integer(), KeyCode::integer(), Cmd::integer()) -> ok
.br
.RS
.LP
Equivalent to set(This, Flags, KeyCode, Cmd, [])\&.
.RE
.LP
.B
set(This::wxAcceleratorEntry(), Flags::integer(), KeyCode::integer(), Cmd::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {item, wxMenuItem() (see module wxMenuItem)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxacceleratorentry\&.html#wxacceleratorentryset>\&.
.RE
.LP
.B
destroy(This::wxAcceleratorEntry()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
